Last Comment Bug 95989 - certdb/genname.c: cert_CompareNameWithConstraints handles certURI case incorrectly.
: certdb/genname.c: cert_CompareNameWithConstraints handles certURI case incorr...
Status: RESOLVED FIXED
:
Product: NSS
Classification: Components
Component: Libraries (show other bugs)
: 3.0
: x86 Linux
: P1 normal (vote)
: 3.3.2
Assigned To: Julien Pierre
: Sonja Mirtitsch
:
Mentors:
http://lxr.mozilla.org/mozilla/source...
Depends on:
Blocks: 59652
  Show dependency treegraph
 
Reported: 2001-08-19 09:22 PDT by Aleksey Nogin
Modified: 2001-11-28 17:16 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Aleksey Nogin 2001-08-19 09:22:41 PDT
If name-> type is certRFC822Name, the start variable is (correctly) reset to 0
before
  while(nameString[start] != '@' && nameString[start + 1] != '\0') {
     start++;
  }
However in certURI case, start is (incorrectly) not reset to 0 before
   while(PORT_Strncmp(nameString + start, "://", 3) != 0 &&
         nameString[start + 3] != '\0') {
      start++;
   }
Comment 1 Wan-Teh Chang 2001-08-20 07:49:38 PDT
Bob, I think what the bug reporter said is right but
please take a look at it.
Comment 2 Wan-Teh Chang 2001-10-31 18:59:04 PST
Assigned the bug to Julien.
Comment 3 Julien Pierre 2001-11-27 20:33:13 PST
This bug was fixed by Bob on September 20 for NSS 3.4. Also checking it into the
3.3 branch
Comment 4 Wan-Teh Chang 2001-11-28 17:16:12 PST
Changed target milestone to 3.3.2 because the fix was
checked into the 3.3 branch.

Note You need to log in before you can comment on or make changes to this bug.